Update Forum Post

PUT /internal/admin/comms/v1/forums/posts

Operation id: put__internal_admin_comms_v1_forums_posts

Description

Update Forum Post

Tags: User Forums

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

404 — Not Found

Content type: application/json

503 — Service Unavailable

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
anonymousbooleanNo
bodystringNo
commentsOffbooleanNo
postIdintegerNo
titlestringNo
{
  "type": "object",
  "properties": {
    "anonymous": {
      "type": "boolean"
    },
    "body": {
      "type": "string"
    },
    "commentsOff": {
      "type": "boolean"
    },
    "postId": {
      "type": "integer"
    },
    "title": {
      "type": "string"
    }
  }
}

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

503 — Service Unavailable

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}